import { GluegunPrint } from 'gluegun';
import { PlatformSetupArgs } from './types';
export declare function setEnv(name: string, permanentValue: string, envValue?: string): Promise<void>;
export declare function addToPath(path: string): Promise<void>;
export declare function openModdableCommandPrompt(): Promise<void>;
export declare function ensureModdableCommandPrompt(spinner: ReturnType<GluegunPrint['spin']>): Promise<void>;
export default function ({ sourceRepo, targetBranch, }: PlatformSetupArgs): Promise<void>;
