/**
 * Ensure command can be run with sudo,
 * first attempting as non-interactive before falling back to ssh-askpass prompt
 **/
export declare function execWithSudo(command: string, options?: Record<string, unknown>): Promise<void>;
/**
 * Set updated env from user shell as process.env
 */
export declare function sourceEnvironment(): Promise<void>;
